Get User By Name
curl --request GET \
--url https://app.fliqr.ai/api/contacts/{contact_id} \
--header 'X-ACCESS-TOKEN: <api-key>'const options = {method: 'GET', headers: {'X-ACCESS-TOKEN': '<api-key>'}};
fetch('https://app.fliqr.ai/api/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.fliqr.ai/api/contacts/{contact_id}"
headers = {"X-ACCESS-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"page_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"channel": 123,
"profile_pic": "<string>",
"locale": "<string>",
"gender": 123,
"timezone": 123,
"last_sent": 123,
"last_delivered": 123,
"last_seen": 123,
"last_interaction": 123,
"subscribed_date": "<string>",
"subscribed": 123,
"tags": [
{
"id": 123,
"name": "<string>"
}
],
"custom_fields": [
{
"id": 123,
"name": "<string>",
"type": 0,
"value": "<string>"
}
]
}Contacts
Get user by name
Get contact by contact id
GET
/
contacts
/
{contact_id}
Get User By Name
curl --request GET \
--url https://app.fliqr.ai/api/contacts/{contact_id} \
--header 'X-ACCESS-TOKEN: <api-key>'const options = {method: 'GET', headers: {'X-ACCESS-TOKEN': '<api-key>'}};
fetch('https://app.fliqr.ai/api/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.fliqr.ai/api/contacts/{contact_id}"
headers = {"X-ACCESS-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"page_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"channel": 123,
"profile_pic": "<string>",
"locale": "<string>",
"gender": 123,
"timezone": 123,
"last_sent": 123,
"last_delivered": 123,
"last_seen": 123,
"last_interaction": 123,
"subscribed_date": "<string>",
"subscribed": 123,
"tags": [
{
"id": 123,
"name": "<string>"
}
],
"custom_fields": [
{
"id": 123,
"name": "<string>",
"type": 0,
"value": "<string>"
}
]
}Authorizations
API access token from your Fliqr AI dashboard (Settings → API). Send it in the X-ACCESS-TOKEN header on every request.
Path Parameters
Response
successful operation
0 - Messenger, 2 - SMS, 5 - WhatsApp, 7 - Google Business Message, 8 - Telegram, 9 - Webchat
0 - Female, 1 - Male, 2 - Unknown
Unix timestamp in milliseconds
Unix timestamp in milliseconds
Unix timestamp in milliseconds
Unix timestamp in milliseconds
Subscribed date in UTC. Example 2022-10-12 14:40:00
1 - Subscribed, 2 - Unsubscribed
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I